curl --request POST \
--url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/bundle \
--header 'Content-Type: application/json' \
--header 'X-Clinia-API-Key: <api-key>' \
--data '
{
"resourceOperations": [
{
"create": {
"type": "<string>",
"data": {},
"id": "<string>",
"meta": {
"createdAt": "2023-11-07T05:31:56Z",
"identifier": [
{
"id": "<string>",
"system": "<string>",
"value": "<string>",
"use": "<string>",
"period": {
"id": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"contained": {}
}
}
],
"relationshipOperations": [
{
"create": {
"type": "<string>",
"from": {
"id": "<string>",
"type": "<string>"
},
"to": {
"id": "<string>",
"type": "<string>"
},
"data": {},
"meta": {
"createdAt": "2023-11-07T05:31:56Z",
"identifier": [
{
"id": "<string>",
"system": "<string>",
"value": "<string>",
"use": "<string>",
"period": {
"id": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}
]
}
'import requests
url = "https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/bundle"
payload = {
"resourceOperations": [{ "create": {
"type": "<string>",
"data": {},
"id": "<string>",
"meta": {
"createdAt": "2023-11-07T05:31:56Z",
"identifier": [
{
"id": "<string>",
"system": "<string>",
"value": "<string>",
"use": "<string>",
"period": {
"id": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"contained": {}
} }],
"relationshipOperations": [{ "create": {
"type": "<string>",
"from": {
"id": "<string>",
"type": "<string>"
},
"to": {
"id": "<string>",
"type": "<string>"
},
"data": {},
"meta": {
"createdAt": "2023-11-07T05:31:56Z",
"identifier": [
{
"id": "<string>",
"system": "<string>",
"value": "<string>",
"use": "<string>",
"period": {
"id": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
} }]
}
headers = {
"X-Clinia-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Clinia-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceOperations: [
{
create: {
type: '<string>',
data: {},
id: '<string>',
meta: {
createdAt: '2023-11-07T05:31:56Z',
identifier: [
{
id: '<string>',
system: '<string>',
value: '<string>',
use: '<string>',
period: {id: '<string>', start: '<string>', end: '<string>'}
}
],
updatedAt: '2023-11-07T05:31:56Z'
},
contained: {}
}
}
],
relationshipOperations: [
{
create: {
type: '<string>',
from: {id: '<string>', type: '<string>'},
to: {id: '<string>', type: '<string>'},
data: {},
meta: {
createdAt: '2023-11-07T05:31:56Z',
identifier: [
{
id: '<string>',
system: '<string>',
value: '<string>',
use: '<string>',
period: {id: '<string>', start: '<string>', end: '<string>'}
}
],
updatedAt: '2023-11-07T05:31:56Z'
}
}
}
]
})
};
fetch('https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/bundle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "<string>"
}{
"taskId": "<string>"
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}Bundle resource and relationship operations to be processed
Send a bundle of operations, including resource and relationship operations, to be processed atomically by the system.
Notes:
- Order of Processing: Resource operations are executed first, followed by relationship operations.
- Atomicity: The system processes the entire bundle as a single atomic transaction.
- If all operations succeed, the changes are committed.
- If any operation fails, all operations are rolled back, ensuring no partial changes.
Authorizations
Path Parameters
The source key.
Body
The request body should contain a list of resources and relationships operations.
Contains a list of resource and relationship operations to be processed atomically by the system. Note:
- Multiple unique @rootId token could be defined by suffixing the token with a number. For example, @rootId1, @rootId2, etc...
- @rootId token could be used in any properties of type
referenceto refer to a created resources in the same bundle. - @rootId token could be used in the
fromandtofields of the relationship operations to refer to created resources in the same bundle.
Response
The bundle operation is valid and returns the list of persisted operations with a status 'PERSISTED'.
Response when a task has been accepted for asynchronous processing. The task will be executed in the background.
The task identifier. Used to track an async task in the system. Use the task ID to poll for completion status. The taskId holds different prefix to represent different tasks.
- oneOf task:
s_<id>. - bulk task:
bk_<id>(deprecated:<id>only). - bundle task:
bd_<id>(deprecated:<id>only). - purge task:
pg_<id>(deprecated:purge:<id>).
Status of the task submission.
ACCEPTED: The task has been accepted for asynchronous processing. The task will be executed in the background.PERSISTED: The task has been executed synchronously and the results are immediately persisted.
ACCEPTED, PERSISTED Was this page helpful?